RTEMS: ALT_SYSMGR_PINMUX_raw_s Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
ALT_SYSMGR_PINMUX_raw_s Struct Reference

## Data Fields
volatile uint32_t | EMACIO0
volatile uint32_t | EMACIO1
volatile uint32_t | EMACIO2
volatile uint32_t | EMACIO3
volatile uint32_t | EMACIO4
volatile uint32_t | EMACIO5
volatile uint32_t | EMACIO6
volatile uint32_t | EMACIO7
volatile uint32_t | EMACIO8
volatile uint32_t | EMACIO9
volatile uint32_t | EMACIO10
volatile uint32_t | EMACIO11
volatile uint32_t | EMACIO12
volatile uint32_t | EMACIO13
volatile uint32_t | EMACIO14
volatile uint32_t | EMACIO15
volatile uint32_t | EMACIO16
volatile uint32_t | EMACIO17
volatile uint32_t | EMACIO18
volatile uint32_t | EMACIO19
volatile uint32_t | FLASHIO0
volatile uint32_t | FLASHIO1
volatile uint32_t | FLASHIO2
volatile uint32_t | FLASHIO3
volatile uint32_t | FLASHIO4
volatile uint32_t | FLASHIO5
volatile uint32_t | FLASHIO6
volatile uint32_t | FLASHIO7
volatile uint32_t | FLASHIO8
volatile uint32_t | FLASHIO9
volatile uint32_t | FLASHIO10
volatile uint32_t | FLASHIO11
volatile uint32_t | GENERALIO0
volatile uint32_t | GENERALIO1
volatile uint32_t | GENERALIO2
volatile uint32_t | GENERALIO3
volatile uint32_t | GENERALIO4
volatile uint32_t | GENERALIO5
volatile uint32_t | GENERALIO6
volatile uint32_t | GENERALIO7
volatile uint32_t | GENERALIO8
volatile uint32_t | GENERALIO9
volatile uint32_t | GENERALIO10
volatile uint32_t | GENERALIO11
volatile uint32_t | GENERALIO12
volatile uint32_t | GENERALIO13
volatile uint32_t | GENERALIO14
volatile uint32_t | GENERALIO15
volatile uint32_t | GENERALIO16
volatile uint32_t | GENERALIO17
volatile uint32_t | GENERALIO18
volatile uint32_t | GENERALIO19
volatile uint32_t | GENERALIO20
volatile uint32_t | GENERALIO21
volatile uint32_t | GENERALIO22
volatile uint32_t | GENERALIO23
volatile uint32_t | GENERALIO24
volatile uint32_t | GENERALIO25
volatile uint32_t | GENERALIO26
volatile uint32_t | GENERALIO27
volatile uint32_t | GENERALIO28
volatile uint32_t | GENERALIO29
volatile uint32_t | GENERALIO30
volatile uint32_t | GENERALIO31
volatile uint32_t | MIXED1IO0
volatile uint32_t | MIXED1IO1
volatile uint32_t | MIXED1IO2
volatile uint32_t | MIXED1IO3
volatile uint32_t | MIXED1IO4
volatile uint32_t | MIXED1IO5
volatile uint32_t | MIXED1IO6
volatile uint32_t | MIXED1IO7
volatile uint32_t | MIXED1IO8
volatile uint32_t | MIXED1IO9
volatile uint32_t | MIXED1IO10
volatile uint32_t | MIXED1IO11
volatile uint32_t | MIXED1IO12
volatile uint32_t | MIXED1IO13
volatile uint32_t | MIXED1IO14
volatile uint32_t | MIXED1IO15
volatile uint32_t | MIXED1IO16
volatile uint32_t | MIXED1IO17
volatile uint32_t | MIXED1IO18
volatile uint32_t | MIXED1IO19
volatile uint32_t | MIXED1IO20
volatile uint32_t | MIXED1IO21
volatile uint32_t | MIXED2IO0
volatile uint32_t | MIXED2IO1
volatile uint32_t | MIXED2IO2
volatile uint32_t | MIXED2IO3
volatile uint32_t | MIXED2IO4
volatile uint32_t | MIXED2IO5
volatile uint32_t | MIXED2IO6
volatile uint32_t | MIXED2IO7
volatile uint32_t | GPLINMUX48
volatile uint32_t | GPLINMUX49
volatile uint32_t | GPLINMUX50
volatile uint32_t | GPLINMUX51
volatile uint32_t | GPLINMUX52
volatile uint32_t | GPLINMUX53
volatile uint32_t | GPLINMUX54
volatile uint32_t | GPLINMUX55
volatile uint32_t | GPLINMUX56
volatile uint32_t | GPLINMUX57
volatile uint32_t | GPLINMUX58
volatile uint32_t | GPLINMUX59
volatile uint32_t | GPLINMUX60
volatile uint32_t | GPLINMUX61
volatile uint32_t | GPLINMUX62
volatile uint32_t | GPLINMUX63
volatile uint32_t | GPLINMUX64
volatile uint32_t | GPLINMUX65
volatile uint32_t | GPLINMUX66
volatile uint32_t | GPLINMUX67
volatile uint32_t | GPLINMUX68
volatile uint32_t | GPLINMUX69
volatile uint32_t | GPLINMUX70
volatile uint32_t | GPLMUX0
volatile uint32_t | GPLMUX1
volatile uint32_t | GPLMUX2
volatile uint32_t | GPLMUX3
volatile uint32_t | GPLMUX4
volatile uint32_t | GPLMUX5
volatile uint32_t | GPLMUX6
volatile uint32_t | GPLMUX7
volatile uint32_t | GPLMUX8
volatile uint32_t | GPLMUX9
volatile uint32_t | GPLMUX10
volatile uint32_t | GPLMUX11
volatile uint32_t | GPLMUX12
volatile uint32_t | GPLMUX13
volatile uint32_t | GPLMUX14
volatile uint32_t | GPLMUX15
volatile uint32_t | GPLMUX16
volatile uint32_t | GPLMUX17
volatile uint32_t | GPLMUX18
volatile uint32_t | GPLMUX19
volatile uint32_t | GPLMUX20
volatile uint32_t | GPLMUX21
volatile uint32_t | GPLMUX22
volatile uint32_t | GPLMUX23
volatile uint32_t | GPLMUX24
volatile uint32_t | GPLMUX25
volatile uint32_t | GPLMUX26
volatile uint32_t | GPLMUX27
volatile uint32_t | GPLMUX28
volatile uint32_t | GPLMUX29
volatile uint32_t | GPLMUX30
volatile uint32_t | GPLMUX31
volatile uint32_t | GPLMUX32
volatile uint32_t | GPLMUX33
volatile uint32_t | GPLMUX34
volatile uint32_t | GPLMUX35
volatile uint32_t | GPLMUX36
volatile uint32_t | GPLMUX37
volatile uint32_t | GPLMUX38
volatile uint32_t | GPLMUX39
volatile uint32_t | GPLMUX40
volatile uint32_t | GPLMUX41
volatile uint32_t | GPLMUX42
volatile uint32_t | GPLMUX43
volatile uint32_t | GPLMUX44
volatile uint32_t | GPLMUX45
volatile uint32_t | GPLMUX46
volatile uint32_t | GPLMUX47
volatile uint32_t | GPLMUX48
volatile uint32_t | GPLMUX49
volatile uint32_t | GPLMUX50
volatile uint32_t | GPLMUX51
volatile uint32_t | GPLMUX52
volatile uint32_t | GPLMUX53
volatile uint32_t | GPLMUX54
volatile uint32_t | GPLMUX55
volatile uint32_t | GPLMUX56
volatile uint32_t | GPLMUX57
volatile uint32_t | GPLMUX58
volatile uint32_t | GPLMUX59
volatile uint32_t | GPLMUX60
volatile uint32_t | GPLMUX61
volatile uint32_t | GPLMUX62
volatile uint32_t | GPLMUX63
volatile uint32_t | GPLMUX64
volatile uint32_t | GPLMUX65
volatile uint32_t | GPLMUX66
volatile uint32_t | GPLMUX67
volatile uint32_t | GPLMUX68
volatile uint32_t | GPLMUX69
volatile uint32_t | GPLMUX70
volatile uint32_t | NANDUSEFPGA
volatile uint32_t | _pad_0x2f4_0x2f7
volatile uint32_t | RGMII1USEFPGA
volatile uint32_t | _pad_0x2fc_0x303 [2]
volatile uint32_t | I2C0USEFPGA
volatile uint32_t | _pad_0x308_0x313 [3]
volatile uint32_t | RGMII0USEFPGA
volatile uint32_t | _pad_0x318_0x323 [3]
volatile uint32_t | I2C3USEFPGA
volatile uint32_t | I2C2USEFPGA
volatile uint32_t | I2C1USEFPGA
volatile uint32_t | SPIM1USEFPGA
volatile uint32_t | _pad_0x334_0x337
volatile uint32_t | SPIM0USEFPGA
volatile uint32_t | _pad_0x33c_0x400 [49]

The documentation for this struct was generated from the following file:

- bsps/arm/altera-cyclone-v/include/bsp/socal/alt_sysmgr.h